Next Commerce
API ReferenceCampaigns

Campaigns Offers Retrieve

Retrieve an offer on the campaign.

GET
/campaigns/{id}/offers/{offerId}/

Authorization

oauth2 campaigns:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: campaigns:read

Path Parameters

id*integer

Campaign ID.

offerId*integer

Offer reference ID, unique within the campaign.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/campaigns/0/offers/0/" \  -H "X-29next-API-Version: 2024-04-01"
{  "available": true,  "benefit": {    "description": "string",    "price_rounding": "0.00",    "type": "package_percentage",    "value": "string"  },  "code": "string",  "condition": {    "all_packages": true,    "description": "string",    "packages": [      {        "id": 0,        "name": "string",        "product_id": 0,        "product_sku": "string"      }    ],    "type": "any",    "value": "string"  },  "id": 0,  "name": "string",  "offer_type": "offer"}